Catalog - List Acls
Retrieves the list of access control list (ACL) entries for the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/acl?api-version=2016-11-01
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/acl?$filter={$filter}&$top={$top}&$skip={$skip}&$select={$select}&$orderby={$orderby}&$count={$count}&api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
|
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
|
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
api-version
|
query | True |
|
Client Api Version. |
|
$count
|
query |
|
The Boolean value of true or false to request a count of the matching resources included with the resources in the response, e.g. Categories?$count=true. Optional. |
|
|
$filter
|
query |
|
OData filter. Optional. |
|
|
$orderby
|
query |
|
OrderBy clause. One or more comma-separated expressions with an optional "asc" (the default) or "desc" depending on the order you'd like the values sorted, e.g. Categories?$orderby=CategoryName desc. Optional. |
|
|
$select
|
query |
|
OData Select statement. Limits the properties on each entry to just those requested, e.g. Categories?$select=CategoryName,Description. Optional. |
|
|
$skip
|
query |
|
The number of items to skip over before returning elements. Optional. |
|
|
$top
|
query |
|
The number of items to return. Optional. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the list of access control list (ACL) entries for the Data Lake Analytics catalog. |
Examples
Retrieves the list of access control list (ACL) entries for the Data Lake Analytics catalog
Sample Request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/acl?$filter=test_filter&$top=1&$skip=1&$select=test_select&$orderby=test_orderby&$count=False&api-version=2016-11-01
Sample Response
{
"nextLink": "https://contosoadla.datalakeanalytics.net/catalog/usql/databases/master/schema/dbo/statistics?api-version=2016-11-01&%24skiptoken=<token>",
"value": [
{
"aceType": "User",
"principalId": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"permission": "Use"
}
]
}
Definitions
| Acl |
A Data Lake Analytics catalog access control list (ACL) entry. |
|
Acl |
A Data Lake Analytics catalog access control list (ACL). |
|
Acl |
the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. |
|
Permission |
the permission type of the access control list (ACL) entry. |
Acl
A Data Lake Analytics catalog access control list (ACL) entry.
| Name | Type | Description |
|---|---|---|
| aceType |
the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. |
|
| permission |
the permission type of the access control list (ACL) entry. |
|
| principalId |
|
the Azure AD object ID of the user or group being specified in the access control list (ACL) entry. |
AclList
A Data Lake Analytics catalog access control list (ACL).
| Name | Type | Description |
|---|---|---|
| nextLink |
|
the link to the next page of results. |
| value |
|
the access control list (ACL). |
AclType
the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively.
| Name | Type | Description |
|---|---|---|
| Group |
|
|
| GroupObj |
|
|
| Other |
|
|
| User |
|
|
| UserObj |
|
PermissionType
the permission type of the access control list (ACL) entry.
| Name | Type | Description |
|---|---|---|
| All |
|
|
| Alter |
|
|
| Create |
|
|
| Drop |
|
|
| None |
|
|
| Use |
|
|
| Write |
|